<?php
if (!isset($_SERVER["HTTP_HOST"])) {
  //parse_str($argv[1], $_GET);
  parse_str($argv[1], $_POST);
}
require 'acesso.php';
	$res = array();
	
	$arcodcli = $_POST['arcodcli'];
	$arfatura = substr($_POST['arfatura'], 0, -3);
	$res["fatura_itens"] = array();
	//$con = new PDO("mysql:dbname=$database; charset=utf8", $usuario , $senha);
	
	$ret = $con->prepare("SELECT a.afirma, a.arcodcli, CONCAT( a.arsequen, a.arcontro ) AS arfatura, c.arcodigo, d.ardesnot, c.arqtdsai, c.arqtdemb, 
			c.arvrprod, COALESCE(c.arvrdesc, 0) + COALESCE(c.ardesconto_adcional, 0) AS desconto, c.arvrvend, c.arvtotal, c.arseqpro, IF(c.arqtdemb IS NULL, d.arunidad, d.aruniemb) AS unidade 
			FROM re04 a LEFT JOIN boletos b ON CONCAT( a.arsequen, a.arcontro ) = b.arfatura LEFT JOIN saidas c ON c.arnrdoct = b.arnrdoct 
			LEFT JOIN estoque d ON d.arcodigo = c.arcodigo WHERE a.arcodcli = '$arcodcli' AND b.arfatura = '$arfatura' AND CAST(a.arparcel AS UNSIGNED) = 1");
	$ret->execute();
	$mensagem = $ret->errorInfo();
	if ($ret->rowCount() > 0) {
		while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
			array_push($res["fatura_itens"], $row);
		}
		$res["sucesso"] = 1;
		echo json_encode($res);
	} else {
		$res["sucesso"] = 0;
		$res["mensagem"] = $mensagem[2];
		echo json_encode($res);
	}

	$con = null;
?>
